import type { ComponentProps } from 'react';
import * as RadixSwitch from '@radix-ui/react-switch';

export type SwitchProps = ComponentProps<typeof RadixSwitch.Root>;

export function Switch(props: SwitchProps) {
  return (
    <RadixSwitch.Root {...props} className="c-switch-root">
      <RadixSwitch.Thumb className="c-switch-thumb" />
    </RadixSwitch.Root>
  );
}
